  CODE_ENTRY_GET_LEVEL_CODE = vmFindPC("entry_get_level_code");
  GVAR_TITLE_PHASE = vmFindGVarIndex("title_phase");
  TVAR_AFRAME = vmFindTVarIndex("aframe");
  TVAR_ALAST_FRAME = vmFindTVarIndex("alast_frame");
  TVAR_AFIRST_FRAME = vmFindTVarIndex("afirst_frame");
  TVAR_ANIMATED = vmFindTVarIndex("animated");
  TVAR_POS_TY = vmFindTVarIndex("pos_ty");
  TVAR_POS_TX = vmFindTVarIndex("pos_tx");
  TVAR_POS_Y = vmFindTVarIndex("pos_y");
  TVAR_POS_X = vmFindTVarIndex("pos_x");
  TVAR_SPR_ITEM = vmFindTVarIndex("spr_item");
  TVAR_SPR_DIR = vmFindTVarIndex("spr_dir");
  TVAR_SPR_NUM = vmFindTVarIndex("spr_num");
  TVAR_SPR_BANK = vmFindTVarIndex("spr_bank");
  TVAR_ITEM_ID = vmFindTVarIndex("item_id");
  TVAR_IS_MENU_THREAD = vmFindTVarIndex("is_menu_thread");
  GVAR_IN_MENU = vmFindGVarIndex("in_menu");
  GVAR_SOUND_DISABLED = vmFindGVarIndex("sound_disabled");
  GVAR_POLYFIX_BASE = vmFindGVarIndex("polyfix_base");
  GVAR_MOUSE_CURSOR = vmFindGVarIndex("mouse_cursor");
  GVAR_MOUSE_HIDDEN = vmFindGVarIndex("mouse_hidden");
  GVAR_MOUSE_BUTTONS = vmFindGVarIndex("mouse_buttons");
  GVAR_MOUSE_Y = vmFindGVarIndex("mouse_y");
  GVAR_MOUSE_X = vmFindGVarIndex("mouse_x");
  GVAR_PROF_ITEM = vmFindGVarIndex("prof_item");
  GVAR_SCR_Y = vmFindGVarIndex("scr_y");
  GVAR_SCR_X = vmFindGVarIndex("scr_x");
  GVAR_VIS_HEIGHT = vmFindGVarIndex("vis_height");
  GVAR_VIS_WIDTH = vmFindGVarIndex("vis_width");
  GVAR_MAP_HEIGHT = vmFindGVarIndex("map_height");
  GVAR_MAP_WIDTH = vmFindGVarIndex("map_width");
  GVAR_LEVEL_BACKPIC = vmFindGVarIndex("level_backpic");
  GVAR_LEVEL_CODE_LEN = vmFindGVarIndex("level_code_len");
  GVAR_LEVEL_CODE_OFS = vmFindGVarIndex("level_code_ofs");
  GVAR_CUR_LEVEL = vmFindGVarIndex("cur_level");
  GVAR_GAME_STATE = vmFindGVarIndex("game_state");
  GVAR_START_LEVEL = vmFindGVarIndex("start_level");
  GVAR_MAX_LEVEL = vmFindGVarIndex("max_level");
  GVAR_KEY_NLEV_CHEAT = vmFindGVarIndex("key_nlev_cheat");
  GVAR_KEY_PLEV_CHEAT = vmFindGVarIndex("key_plev_cheat");
  GVAR_KEY_WALK_CHEAT = vmFindGVarIndex("key_walk_cheat");
  GVAR_KEY_FALL_CHEAT = vmFindGVarIndex("key_fall_cheat");
  GVAR_KEY_MINIMAP = vmFindGVarIndex("key_minimap");
  GVAR_KEY_USE = vmFindGVarIndex("key_use");
  GVAR_KEY_TAKE = vmFindGVarIndex("key_take");
  GVAR_KEY_DOWN = vmFindGVarIndex("key_down");
  GVAR_KEY_UP = vmFindGVarIndex("key_up");
  GVAR_KEY_RIGHT = vmFindGVarIndex("key_right");
  GVAR_KEY_LEFT = vmFindGVarIndex("key_left");
  GVAR_KEY_ESCAPE = vmFindGVarIndex("key_escape");
  GVAR_KEY_RESTART = vmFindGVarIndex("key_restart");
  GVAR_KEY_START = vmFindGVarIndex("key_start");
  GVAR_KEY_QUIT = vmFindGVarIndex("key_quit");
  GVAR_GAME_WANT_KEY = vmFindGVarIndex("game_want_key");
  GVAR_GOOBERS = vmFindGVarIndex("goobers");
  GVAR_RST_RESULT = vmFindGVarIndex("rst_result");
  CONST_BANK_IM_PROF = vmFindConst("bank_im_prof");
  CONST_BANK_MAP_ITEMS = vmFindConst("bank_map_items");
  CONST_BANK_ITEMS = vmFindConst("bank_items");
  CONST_BANK_MAP_TILES = vmFindConst("bank_map_tiles");
  CONST_BANK_BG_TILES = vmFindConst("bank_bg_tiles");
  CONST_BANK_FG_TILES = vmFindConst("bank_fg_tiles");
  CONST_BANK_PROF = vmFindConst("bank_prof");
  CONST_GAME_STATE_DEAD = vmFindConst("game_state_dead");
  CONST_GAME_STATE_COMPLETE = vmFindConst("game_state_complete");
  CONST_GAME_STATE_STARTED = vmFindConst("game_state_started");
  CONST_GAME_STATE_PLAYING = vmFindConst("game_state_playing");
  CONST_FRST_GET_GOOBERS_ONLOAD = vmFindConst("frst_get_goobers_onload");
  CONST_FRST_GET_GOOBERS_INITER = vmFindConst("frst_get_goobers_initer");
  CONST_FRST_DEBUG_ABORT = vmFindConst("frst_debug_abort");
  CONST_FRST_DEBUG_PRINT_NUM = vmFindConst("frst_debug_print_num");
  CONST_FRST_DEBUG_PRINT_STR = vmFindConst("frst_debug_print_str");
  CONST_FRST_SIN = vmFindConst("frst_sin");
  CONST_FRST_COS = vmFindConst("frst_cos");
  CONST_FRST_SET_SEED_L = vmFindConst("frst_set_seed_l");
  CONST_FRST_SET_SEED_H = vmFindConst("frst_set_seed_h");
  CONST_FRST_GET_SEED_L = vmFindConst("frst_get_seed_l");
  CONST_FRST_GET_SEED_H = vmFindConst("frst_get_seed_h");
  CONST_FRST_GET_RAND = vmFindConst("frst_get_rand");
  CONST_FRST_GET_MAX_THREAD_ID = vmFindConst("frst_get_max_thread_id");
  CONST_FRST_GET_MAX_THREADS = vmFindConst("frst_get_max_threads");
  CONST_FRST_TEXT_WIDTH = vmFindConst("frst_text_width");
  CONST_FRST_DRAW_TEXT = vmFindConst("frst_draw_text");
  CONST_FRST_END_POLY = vmFindConst("frst_end_poly");
  CONST_FRST_ADD_POLY_POINT = vmFindConst("frst_add_poly_point");
  CONST_FRST_START_POLY = vmFindConst("frst_start_poly");
  CONST_FRST_IS_SOUND_LOADED = vmFindConst("frst_is_sound_loaded");
  CONST_FRST_UNLOAD_SOUND = vmFindConst("frst_unload_sound");
  CONST_FRST_LOAD_SOUND = vmFindConst("frst_load_sound");
  CONST_FRST_IS_CHANNEL_PLAYING = vmFindConst("frst_is_channel_playing");
  CONST_FRST_STOP_CHANNEL = vmFindConst("frst_stop_channel");
  CONST_FRST_PLAY_SOUND = vmFindConst("frst_play_sound");
  CONST_FRST_ADD_SPRITE = vmFindConst("frst_add_sprite");
  CONST_FRST_ADD_LEVEL_SPRITE = vmFindConst("frst_add_level_sprite");
  CONST_FRST_LOAD_SPRITES = vmFindConst("frst_load_sprites");
  CONST_FRST_SET_ITEM_NAME = vmFindConst("frst_set_item_name");
  CONST_FRST_SET_LEVEL_CODE = vmFindConst("frst_set_level_code");
  CONST_FRST_SET_LEVEL_NAME = vmFindConst("frst_set_level_name");
  CONST_FRST_SET_LEVEL_SIZE = vmFindConst("frst_set_level_size");
  CONST_FRST_GET_LEVEL_FILE_WORD = vmFindConst("frst_get_level_file_word");
  CONST_FRST_GET_LEVEL_FILE_BYTE = vmFindConst("frst_get_level_file_byte");
  CONST_FRST_GET_LEVEL_INITER = vmFindConst("frst_get_level_initer");
  CONST_FRST_GET_LEVEL_LOADER = vmFindConst("frst_get_level_loader");
  CONST_FRST_GET_LEVEL_DATA_SIZE = vmFindConst("frst_get_level_data_size");
  CONST_FRST_OPEN_LEVEL_FILE = vmFindConst("frst_open_level_file");
  CONST_FRST_MINIMAP = vmFindConst("frst_minimap");
  CONST_FRST_ML_GAME = vmFindConst("frst_ml_game");
  CONST_FRST_ML_TITLE = vmFindConst("frst_ml_title");
  CODE_ENTRY_GAME_RESTART_LEVEL = vmFindPC("entry_game_restart_level");
  CODE_ENTRY_GAME_INITIALIZE = vmFindPC("entry_game_initialize");
  CODE_ENTRY_TITLE = vmFindPC("entry_title");
  CODE_ENTRY_MAIN_INIT = vmFindPC("entry_main_init");
